Subject: bug#19971: 25.0.50; Emacs segfaults randomly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Feb 2015 22:04:48 +0200

> From: [email-masked]
> Date: Sat, 28 Feb 2015 17:16:28 +0100
> 
> 
> Occasionaly C-x 5 2 or while playing chess emacs segfaults since some
> weeks back. Haven't found a recipe to reproduce it. Here the gdb
> backtrace:
> 
> (gdb) bt 30
> #0  0x00007fe7581deb5b in raise (sig=sig@entry=11)
>     at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
> #1  0x00000000004e8034 in terminate_due_to_signal (sig=sig@entry=11, 
>     backtrace_limit=backtrace_limit@entry=40) at emacs.c:378
> #2  0x00000000004ff50e in handle_fatal_signal (sig=sig@entry=11)
>     at sysdep.c:1604
> #3  0x00000000004ff733 in deliver_thread_signal (sig=sig@entry=11, 
>     handler=0x4ff500 <handle_fatal_signal>) at sysdep.c:1578
> #4  0x00000000004ff7bf in deliver_fatal_thread_signal (sig=11)
>     at sysdep.c:1616
> #5  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>)
>     at sysdep.c:1667
> #6  <signal handler called>
> #7  cache_image (f=0x4ca3830, img=0x7c47f20) at image.c:1775

When this happens, what is the value of FRAME_IMAGE_CACHE(f) in stack
frame #7, i.e. on line 1775 of image.c?